com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenProjectDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, MavenDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor
  All Known Subinterfaces:
    MavenProjectDirectoryDescriptor

      @Label(value="Project",
             usingIndexedPropertyOf=com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor.class)
      public interface MavenProjectDescriptor
      extends MavenDescriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtifactId()`
    `String` | `getGroupId()`
    `String` | `getPackaging()`
    `String` | `getVersion()`
    `void` | `setArtifactId(String artifactId)`
    `void` | `setGroupId(String groupId)`
    `void` | `setPackaging(String packaging)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

- - ### Method Detail

    - #### getGroupId

          @Property(value="groupId")
          String getGroupId()

    - #### setGroupId

          void setGroupId(String groupId)

    - #### getArtifactId

          @Property(value="artifactId")
          String getArtifactId()

    - #### setArtifactId

          void setArtifactId(String artifactId)

    - #### getVersion

          @Property(value="version")
          String getVersion()

    - #### setVersion

          void setVersion(String version)

    - #### getPackaging

          @Property(value="packaging")
          String getPackaging()

    - #### setPackaging

          void setPackaging(String packaging)

Copyright © 2015 buschmais GbR. All rights reserved.